#!/bin/sh
#----------------------------------------------------------------------------
# /tmp/preinstall.sh - sysvinit-tools preinstallation
#
# Creation   :  2018-01-13 holbru
# Last update:  $Id: preinstall.sh 102691 2023-05-16 11:23:04Z hbfl $
#
# Copyright (c) 2018-2024 Holger Bruenjes, holgerbruenjes(at)gmx(dot)net
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#----------------------------------------------------------------------------

# set package name
package_name=sysvinit-tools

# ---------------------------------------------------------------------------
# update system
# ---------------------------------------------------------------------------
installed=$(eisman check sysvinit 3.2.0)

if [ "${installed}" = "new" ]
then

    installed=$(eisman check blog})

    if [ "${installed}" = "installed" ]
    then
        if [ -f /etc/filelist.d/sysvinit-files.txt ]
        then
            sed -i '/blogd$/d' /etc/filelist.d/sysvinit-files.txt
            sed -i '/blogger$/d' /etc/filelist.d/sysvinit-files.txt
            sed -i '/isserial$/d' /etc/filelist.d/sysvinit-files.txt
            sed -i '/setconsole$/d' /etc/filelist.d/sysvinit-files.txt
            sed -i '/showconsole$/d' /etc/filelist.d/sysvinit-files.txt
        fi
    fi

    rm -f /sbin/pidof
    rm -f /bin/pidof
fi


installed=$(eisman check sysvinit-tools)

if [ "${installed}" = "not-installed" ]
then
    if [ -f /etc/filelist.d/sysvinit-files.txt ]
    then
        sed -i '/halt$/d' /etc/filelist.d/sysvinit-files.txt
        sed -i '/sbin\/init$/d' /etc/filelist.d/sysvinit-files.txt
        sed -i '/poweroff$/d' /etc/filelist.d/sysvinit-files.txt
        sed -i '/reboot$/d' /etc/filelist.d/sysvinit-files.txt
        sed -i '/runlevel$/d' /etc/filelist.d/sysvinit-files.txt
        sed -i '/shutdown$/d' /etc/filelist.d/sysvinit-files.txt
        sed -i '/sysvinit$/d' /etc/filelist.d/sysvinit-files.txt
        sed -i '/telinit$/d' /etc/filelist.d/sysvinit-files.txt
    fi
fi

/usr/bin/rm -f /var/install/packages/sysvinit

exit 0
# ---------------------------------------------------------------------------
# end
# ---------------------------------------------------------------------------
